File libpanelappletmm.spec of Package libpanelappletmm

#
# spec file for package libpanelappletmm
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 1
%define lib_version 2.6
%define package_version 2_6

Name:           libpanelappletmm
Version:        2.26.0
Release:        4.<RELEASE3>
License:        LGPLv2.1+
Summary:        C++ bindings for libpanelapplet
Url:            http://ftp.gnome.org/pub/GNOME/sources/libpanelappletmm/
Group:          System/Libraries
Source:         http://ftp.gnome.org/pub/GNOME/sources/libpanelappletmm/2.26/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM libpanelappletmm-no-shlib.patch bgo#642637 vuntz@opensuse.org -- Following the change in gnome-panel, drop in-process support for bonobo applets here too
Patch0:         libpanelappletmm-no-shlib.patch
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(gtkmm-2.4)
BuildRequires:  pkgconfig(gconfmm-2.6)
BuildRequires:  pkgconfig(libpanelapplet-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides C++ bindings to the GNOME panel applet API.

%package -n %{name}-%{package_version}-%{soname}


License:        LGPLv2.1+
Summary:        C++ bindings for libpanelapplet
Group:          System/Libraries

%description -n %{name}-%{package_version}-%{soname}
This package provides C++ bindings to the GNOME panel applet API.

%package devel
License:        LGPLv2.1+
Summary:        C++ bindings for libpanelapplet
Group:          Development/Libraries/C and C++
Requires:       %{name}-%{package_version}-%{soname} = %{version}

%description devel
This package provides C++ bindings to the GNOME panel applet API.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%check
make %{?_smp_mflags} check

%clean
test "%{buildroot}" != "/" && rm -rf "%{buildroot}"

%post -n %{name}-%{package_version}-%{soname} -p /sbin/ldconfig

%postun -n %{name}-%{package_version}-%{soname} -p /sbin/ldconfig

%files -n %{name}-%{package_version}-%{soname}
%defattr(-,root,root)
%{_libdir}/libpanelappletmm-%{lib_version}.so.%{soname}*

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_includedir}/libpanelappletmm-%{lib_version}/
%{_libdir}/libpanelappletmm-%{lib_version}.so
%{_libdir}/libpanelappletmm-%{lib_version}/
%{_libdir}/pkgconfig/libpanelappletmm-%{lib_version}.pc

%changelog